﻿Imports System.IO

Public Class Form1

    Private _PathToDrop As String

    Private Sub Form_Load(ByVal sender As Object, _
                          ByVal e As System.EventArgs) Handles Me.Load
        Me.FolderTreeview1.SelectedFolder = Environment.CurrentDirectory
    End Sub

    ' FolderTreeview navigiert zum vom Explorer auf ihn gezogenes Verzeichnis.
    Private Sub FolderTreeview1_DragOver(ByVal sender As Object, _
            ByVal e As DragEventArgs) Handles FolderTreeview1.DragOver

        Dim DTO = TryCast(e.Data, DataObject)
        If DTO Is Nothing OrElse Not DTO.ContainsFileDropList Then Return
        _PathToDrop = DTO.GetFileDropList()(0)
        If Not Directory.Exists(_PathToDrop) Then
            _PathToDrop = Path.GetDirectoryName(_PathToDrop)
        End If
        e.Effect = e.AllowedEffect
    End Sub

    Private Sub FolderTreeview1_DragDrop(ByVal sender As Object, _
            ByVal e As DragEventArgs) Handles FolderTreeview1.DragDrop
        FolderTreeview1.SelectedFolder = _PathToDrop
    End Sub
End Class